Skip to main content
POST
/
api
/
catalog
/
batches
/
{key}
/
promote
Promote Catalog Batch
curl --request POST \
  --url https://api.merchantops.ai/api/catalog/batches/{key}/promote \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_key": "<string>",
  "effective_date": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "target_env": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json
target_key
string
required
Required string length: 1 - 100
effective_date
string<date-time> | null
name
string | null
Required string length: 1 - 120
target_env
string | null
Maximum string length: 64

Response

Successful Response